Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Class PropertyListenerAdapter

    java.lang.Object
      uchicago.src.sim.engine.PropertyListenerAdapter

All Implemented Interfaces:
  PropertyListener

    public class PropertyListenerAdapter

extends java.lang.Object
implements PropertyListener

Empty implementation of the PropertyListener interface. This is a convenience class for users who do not need or want to implement all the PropertyListener methods.

Author:
  Nick Collier

Constructor Summary
`PropertyListenerAdapter()`

Method Summary
`void` | `booleanPropertyChanged(PropertyEvent evt)` Invoked when a boolean property has been changed.
`void` | `numericPropertyChanged(PropertyEvent evt)` Invoked when a numeric property has been changed.
`void` | `objectPropertyChanged(PropertyEvent evt)` Invoked when an Object property has been changed.
`void` | `stringPropertyChanged(PropertyEvent evt)` Invoked when a String property has been changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyListenerAdapter

    public PropertyListenerAdapter()

Method Detail

### numericPropertyChanged

    public void numericPropertyChanged(PropertyEvent evt)

  Invoked when a numeric property has been changed.

  Specified by:
    `numericPropertyChanged` in interface `PropertyListener`

### stringPropertyChanged

    public void stringPropertyChanged(PropertyEvent evt)

  Invoked when a String property has been changed.

  Specified by:
    `stringPropertyChanged` in interface `PropertyListener`

### booleanPropertyChanged

    public void booleanPropertyChanged(PropertyEvent evt)

  Invoked when a boolean property has been changed.

  Specified by:
    `booleanPropertyChanged` in interface `PropertyListener`

### objectPropertyChanged

    public void objectPropertyChanged(PropertyEvent evt)

  Invoked when an Object property has been changed.

  Specified by:
    `objectPropertyChanged` in interface `PropertyListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD